<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function bitAnd

Bitwise AND two values, `x & y`.
For matrices, the function is evaluated element wise.


## Syntax

```js
math.bitAnd(x, y)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; BigNumber &#124; Array &#124; Matrix | First value to and
`y` | number &#124; BigNumber &#124; Array &#124; Matrix | Second value to and

### Returns

Type | Description
---- | -----------
number &#124; BigNumber &#124; Array &#124; Matrix | AND of `x` and `y`


## Examples

```js
math.bitAnd(53, 131);               // returns number 1

math.bitAnd([1, 12, 31], 42);       // returns Array [0, 8, 10]
```


## See also

[bitNot](bitNot.md),
[bitOr](bitOr.md),
[bitXor](bitXor.md),
[leftShift](leftShift.md),
[rightArithShift](rightArithShift.md),
[rightLogShift](rightLogShift.md)
